DocTest : Mono.DocTest.Generic Namespace

# Func<TArg,TRet> Generic Delegate

Documentation for this section has not yet been entered.

## Syntax

[Mono.DocTest.Doc("method")]
[return:Mono.DocTest.Doc("return", Field=false)]
public delegate TRet Func<[Mono.DocTest.Doc("arg!")] TArg, [Mono.DocTest.Doc("ret!")] TRet> ([Mono.DocTest.Doc("arg-actual")] TArg a)
where TArg : Exception
where TRet :

#### Type Parameters

> TArg
>   argument type, with attributes!
> TRet
>   return type, with attributes!

#### Parameters

> a
>   Documentation for this section has not yet been entered.

#### Returns

> Documentation for this section has not yet been entered.

## Remarks

`T:Mono.DocTest.Generic.Func`2`.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0